# Warp Currency

In Player Warps you can create a currency addon that will allow you to create a new currency type. This will allow you to create a new currency type that will be able to be used anywhere in the plugin.

## Registering

You can go [here](/projects/playerwarps/api/expansions.md#registering-expansions) to learn on how to register an expansion.

## Examples

Here is an example of a currency addon class, this will let you be able to create a new currency type.

```java
import com.olziedev.playerwarps.api.expansion.WCurrency;
import com.olziedev.playerwarps.api.player.WPlayer;

import java.util.function.Consumer;

public class CurrencyExample extends WCurrency {

    @Override
    public String getCurrencyName() {
        return "";
    }

    @Override
    public String getCurrencyPrefix(String internalCurrency) {
        return "";
    }

    @Override
    public void getBalance(WPlayer wPlayer, String internalCurrency, Consumer<Double> balanceConsumer) {

    }

    @Override
    public void deposit(WPlayer wPlayer, double amount, String internalCurrency, Consumer<Boolean> response) {

    }

    @Override
    public void withdraw(WPlayer wPlayer, double amount, String internalCurrency, Consumer<Boolean> response) {

    }

    @Override
    public boolean isEnabled() {
        return true;
    }

    @Override
    public String getName() {
        return "Example Currency";
    }

    @Override
    public void onLoad() {

    }
}
```

The above example is a currency addon that will allow you to create a new currency type. You can use this to create a new currency type that will be able to be used anywhere in the plugin.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.olziedev.com/projects/playerwarps/api/expansions/currency.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
